<?php

namespace KupShop\ElninoBundle\Wrapper;

class PhotoWrapper extends \KupShop\FeedsBundle\Wrapper\PhotoWrapper
{
    protected static $positionNames = [
        1 => '1. Flakon 0°',
        2 => '2. Flakon 15°',
        3 => '3. Krabička 0°',
        4 => '4. Krabička 15°',
        5 => '5. Odstín',
        6 => '6. Foto koláž',
    ];

    /** Pozice v CPD */
    public function field_cpd_picturetype()
    {
        return $this->object['picturetype'];
    }

    /** Pozice v CPD */
    public function field_cpd_picturetype_alias()
    {
        return self::$positionNames[$this->object['picturetype']] ?? $this->object['picturetype'].'. Pozice';
    }
}
